Retrieve Batch Check Statuses
Retrieve status information for all eligibility checks within a batch, regardless of processing status
/eligibility-manager/batch/{batchId}/itemsThis endpoint retrieves the processing status and other summary information for all of the eligibility checks in the specified batch. It doesn't include the complete eligibility response. For the full results of each eligibility check, call the Poll Batch Checks endpoint instead.
You can use this endpoint to determine whether specific eligibility checks within a batch have completed. You can also use the response to determine whether patients have active or inactive coverage without having to poll.
- Call this endpoint with the batch ID for the eligibility check batch. This is the
batchIdStedi returned in the Batch Eligibility Checks endpoint response. It's also available on the batch's details page in the Stedi portal. - Stedi returns information about the processing status of each eligibility check within the batch, including whether the check completed successfully and information about the patient's coverage status (
eligibilitySearchStatus). Eachitemin the response corresponds to one eligibility check within the batch.
A Stedi API Key for authentication.
Path Parameters
The unique identifier for the batch. This is the batchId returned in the Batch Eligibility Check endpoint response. It's also listed as the Batch ID in the Stedi portal.
Query Parameters
The maximum number of elements to return in a page. If not specified, the default is 100.
A token returned by a previous call to this operation in the nextPageToken property. If not specified, Stedi returns the first page of results.
Filter for batch items in the specified states. Can be set to one or more of the following states:
PENDING: Stedi hasn't begun processing the eligibility check.VALIDATED: Stedi finished validating the eligibility check and is ready to execute it.VALIDATION_FAILED: Stedi found errors in the eligibility check that you need to fix before processing can continue.STARTED: Stedi has begun processing the eligibility check.RETRYING: Stedi is retrying the eligibility check. Stedi retries eligibility checks that fail due to payer connectivity issues for up to 8 hours.COMPLETED: Stedi successfully processed the eligibility check and received a response from the payer. This doesn't indicate that the payer has active coverage, only that Stedi was able to get a response.COMPLETED_WITH_ERRORS: Stedi finished processing the eligibility check, but couldn't get a response from the payer.
PENDINGVALIDATEDVALIDATION_FAILEDSTARTEDRETRYINGFilter for batch items with the specified eligibility search outcomes.
Stedi groups retries (if present) for each eligibility check into an eligibility search. The eligibility search outcome reflects the eligibilitySearchStatus after the last retry attempt.
This filter is only relevant for batch items in COMPLETED state, which means Stedi has either received a response from the payer or has finished retrying. In-progress items, such as those in PENDING state, don't have an eligibility search outcome.
Can be set to one more of the following outcomes:
active: The payer's response contains an active eligibility and benefit type. This means that the patient has active coverage for at least some services.inactive: The payer's response doesn't contain an active eligibility and benefit type. This means that the patient doesn't have active coverage for the requested services.failed: The payer returned an error code in the response.
activeinactivefailedResponse
A list of batch items. Each item represents a single eligibility check in the batch. Unlike the polling endpoint, which only returns results for completed eligibility checks, this endpoint returns results for all eligibility checks in the batch, regardless of their processing status.
All batch items may not be returned in a single response; use the nextPageToken to retrieve subsequent pages of results.
Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.
curl --request GET \ --url "https://manager.us.stedi.com/2024-04-01/eligibility-manager/batch/{batchId}/items" \ --header "Authorization: <api_key>"{
"items": [
{
"additionalInfo": {
"eligibility": {
"eligibilitySearchId": "01932c61-2d4f-7d22-85fa-c7db2e13e771",
"eligibilitySearchStatus": "active",
"payerId": "BCBS",
"submitterTransactionIdentifier": "ABC123456789",
"subscriberFirstName": "John",
"subscriberLastName": "Doe",
"subscriberMemberId": "123456789"
}
},
"batchId": "01932c61-2d4f-7d22-85fa-c7db2e13e771",
"createdAt": "2025-03-31T14:25:30Z",
"requestId": "req-01a2b3c4-d5e6-7f89-0123-456789abcdef",
"rowNumber": 1,
"state": "COMPLETED",
"updatedAt": "2025-03-31T14:26:45Z"
},
{
"additionalInfo": {
"eligibility": {
"eligibilitySearchId": "01932c61-2d4f-7d22-85fa-c7db2e13e772",
"eligibilitySearchStatus": "failed",
"payerId": "AETNA",
"submitterTransactionIdentifier": "GHJ987654321",
"subscriberFirstName": "Jane",
"subscriberLastName": "Smith",
"subscriberMemberId": "987654321"
}
},
"batchId": "01932c61-2d4f-7d22-85fa-c7db2e13e771",
"createdAt": "2025-03-31T14:25:30Z",
"requestId": "req-02a2b3c4-d5e6-7f89-0123-456789abcdef",
"rowNumber": 2,
"state": "COMPLETED_WITH_ERRORS",
"updatedAt": "2025-03-31T14:27:15Z"
}
],
"nextPageToken": "945ff6de213d3ef481d028065d4c12fb996a166a3a90ef98564318decfae50ce4b36d74b7e9d9bafa6e1d169"
}